GlueGen: com.jogamp.common.os.Platform.ABIType Enum Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.jogamp.common.os.Platform.ABIType Enum Reference
Collaboration diagram for com.jogamp.common.os.Platform.ABIType:

## Public Member Functions

| ABIType (final int id)
final boolean | isCompatible (final ABIType other)
| Returns `true` if the given `ABIType` is compatible w/ this one, i.e. More...

## Static Public Member Functions

static final ABIType | query (final CPUType cpuType, final String cpuABILower)

## Public Attributes

| GENERIC_ABI =( 0x00 )
| EABI_GNU_ARMEL =( 0x01 )
| ARM GNU-EABI ARMEL -mfloat-abi=softfp. More...
| EABI_GNU_ARMHF =( 0x02 )
| ARM GNU-EABI ARMHF -mfloat-abi=hard. More...
| EABI_AARCH64 =( 0x03 )
| ARM EABI AARCH64 (64bit) More...
final int | id

## Detailed Description

Definition at line 210 of file Platform.java.

## Constructor & Destructor Documentation

## ◆ ABIType()

com.jogamp.common.os.Platform.ABIType.ABIType | ( | final int | id | ) |

Definition at line 221 of file Platform.java.

## Member Function Documentation

## ◆ isCompatible()

final boolean com.jogamp.common.os.Platform.ABIType.isCompatible | ( | final ABIType | other | ) |

Returns `true` if the given `ABIType` is compatible w/ this one, i.e.

they are equal.

Definition at line 229 of file Platform.java.

## ◆ query()

static final ABIType com.jogamp.common.os.Platform.ABIType.query | ( | final CPUType | cpuType,
|  | final String | cpuABILower
| ) |  |

static

Definition at line 237 of file Platform.java.

## Member Data Documentation

## ◆ EABI_AARCH64

com.jogamp.common.os.Platform.ABIType.EABI_AARCH64 =( 0x03 )

ARM EABI AARCH64 (64bit)

Definition at line 217 of file Platform.java.

## ◆ EABI_GNU_ARMEL

com.jogamp.common.os.Platform.ABIType.EABI_GNU_ARMEL =( 0x01 )

ARM GNU-EABI ARMEL -mfloat-abi=softfp.

Definition at line 213 of file Platform.java.

## ◆ EABI_GNU_ARMHF

com.jogamp.common.os.Platform.ABIType.EABI_GNU_ARMHF =( 0x02 )

ARM GNU-EABI ARMHF -mfloat-abi=hard.

Definition at line 215 of file Platform.java.

## ◆ GENERIC_ABI

com.jogamp.common.os.Platform.ABIType.GENERIC_ABI =( 0x00 )

Definition at line 211 of file Platform.java.

## ◆ id

final int com.jogamp.common.os.Platform.ABIType.id

Definition at line 219 of file Platform.java.

The documentation for this enum was generated from the following file:

- src/java/com/jogamp/common/os/Platform.java